### Method

# Gio Notification add_button_with_target_value

since: 2.40

#### Declaration

    void
    g_notification_add_button_with_target_value (
      GNotification* notification,
      const gchar* label,
      const gchar* action,
      GVariant* target
    )

#### Description

Adds a button to `notification` that activates `action` when clicked. `action` must be an application-wide action (it must start with “app.”).

If `target` is non-`NULL`, `action` will be activated with `target` as its parameter.

Available since: 2.40

This method is renamed to `g_notification_add_button_with_target()` in language bindings.

#### Parameters

`label`

  Type: `const gchar*`

  Label of the button.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action`

  Type: `const gchar*`

  An action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GVariant`

  A `GVariant` to use as `action`‘s parameter, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.